"use strict";

const areArraysEqual = require("./are-arrays-equal");

module.exports = function areErrorsFromSameOrigin(errors) {
	let seenPath = null;

	return errors.every((error) => {
		if (seenPath == null) {
			seenPath = error.path;
			return true;
		} else {
			return areArraysEqual(seenPath, error.path);
		}
	});
};
